### Name: plotmo
### Title: Plot the predicted model response
### Aliases: plotmo
### Keywords: models regression

### ** Examples

data(ozone1)
a <- earth(O3 ~ ., data = ozone1, degree = 2)
plotmo(a)

## Not run: 
##D   # example with some arguments
##D 
##D   plotmo(a, caption = "example", ylim = NULL, degree1 = c(1,2,4),
##D     degree2 = 4, col.response = 3, clip = FALSE, ticktype = "d", theta = -30)
##D 
##D   # examples using functions other than earth
##D 
##D   plotmo(lm(O3 ~ log(temp) + humidity*temp, data=ozone1), se=2)
##D 
##D   library(gam)
##D   data(airquality)
##D   airquality <- na.omit(airquality)  # plotmo doesn't know how to deal with NAs
##D   plotmo(gam(Ozone^(1/3) ~ lo(Solar.R) + lo(Wind, Temp), data = airquality))
##D 
##D   library(mgcv)
##D   plotmo(gam(O3 ~ s(doy) + s(humidity,temp), data=ozone1), se=2, ylim=NA)
## End(Not run)



